package com.mx.dla.dda.contrato.ws.obtenersuscriptores;

import java.io.Serializable;

/**
 * Representa los parametros necesarios para obtener los suscriptores del Contrato. 
 *  
 */

public class ParamSuscriptoresContrato implements Serializable 
{
	private static final long serialVersionUID = 1L;
	private String idContrato;
	private String fechaInicioPeriodo;
	
	public String getIdContrato() {
		return idContrato;
	}
	public void setIdContrato(String idContrato) {
		this.idContrato = idContrato;
	}
	public String getFechaInicioPeriodo() {
		return fechaInicioPeriodo;
	}
	public void setFechaInicioPeriodo(String fechaInicioPeriodo) {
		this.fechaInicioPeriodo = fechaInicioPeriodo;
	}
	
	public String toString() 
	{
		StringBuilder result = new StringBuilder();
		String NEW_LINE = System.getProperty("line.separator");
		result.append(" [Begin of Class] " + NEW_LINE);
		result.append(this.getClass().getSimpleName() + " Object {" + NEW_LINE);
		result.append(" idContrato: _" + this.getIdContrato() + "_" + NEW_LINE);
		result.append(" fechaInicioPeriodo: _" + this.getFechaInicioPeriodo() + "_" + NEW_LINE);
		result.append(" [End of Class] " + NEW_LINE);
		result.append("}");
		NEW_LINE = null;

		return result.toString();
	}
}

